> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout Quotation



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /payouts/quote
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /payouts/quote:
    post:
      tags:
        - Payouts
      summary: Get Payout Quotation
      operationId: getPayoutQuote
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: >
                Payout quote request. Specify one of sourceAmount or
                destinationAmount.


                **BANK_TRANSFER Method Requirements:**

                When method is BANK_TRANSFER, the following country-currency
                combinations are supported:

                - HK (Hong Kong): CNH, HKD

                - PH (Philippines): PHP

                - IN (India): INR

                - ID (Indonesia): IDR

                - KR (Korea): KRW


                **Special Validation for Indonesia (ID) Bank Transfer:**

                When destinationCountry is "ID" and destinationCurrency is
                "IDR":

                - mobileNumber is required in source information

                - mobileNumber must be in E.164 format (e.g. +85212345678)

                - If sourceAmount is provided: Can have decimal places, but the
                final destination amount will be rounded to the nearest IDR
                (round half up)

                - If destinationAmount is provided: Must be an integer (no
                decimal places allowed)

                - Both sourceAmount and destinationAmount must result in a
                destination amount greater than or equal to 50,000 IDR


                **Special Validation for Korea (KR) Bank Transfer:**

                When destinationCountry is "KR" and destinationCurrency is
                "KRW":

                - mobileNumber is required in destination information

                - mobileNumber must be in E.164 format (e.g. +82123456789)

                - If mobileNumber does not start with "+82", email is required
                in destination information

                - If destinationAmount is provided: Must be greater than or
                equal to 5 KRW

                - If sourceAmount is provided: Must result in a destination
                amount greater than or equal to 5 KRW


                The destinationCurrency must match one of the supported
                currencies for the specified destinationCountry.
              required:
                - method
                - sourceCurrency
                - destinationCurrency
                - destinationCountry
                - accountId
              properties:
                method:
                  type: string
                  enum:
                    - UNIONPAY
                    - BANK_TRANSFER
                accountId:
                  type: string
                  format: uuid
                  example: 6a3176fe-7715-4fe0-a548-034912d7f800
                  description: Account id to fund the payout from
                sourceCurrency:
                  type: string
                  description: Currency to send
                  example: USD
                destinationCurrency:
                  type: string
                  description: >
                    Currency to payout.

                    For BANK_TRANSFER method, must be one of the supported
                    currencies for the destination country:

                    - HK: CNH, HKD

                    - PH: PHP

                    - IN: INR

                    - ID: IDR

                    - KR: KRW
                  example: CNY
                destinationCountry:
                  type: string
                  description: >
                    Country to payout to.

                    For BANK_TRANSFER method, supported countries are: HK, PH,
                    IN, ID, KR
                  example: CN
                idempotencyKey:
                  $ref: '#/components/schemas/IdempotencyKey'
              anyOf:
                - title: Payout specifying source amount
                  properties:
                    sourceAmount:
                      type: number
                      description: >
                        Amount to send.

                        For Indonesia (ID) bank transfers with IDR currency:

                        - Can have decimal places

                        - Final destination amount will be rounded to the
                        nearest IDR (round half up)

                        - Must result in destination amount >= 50,000 IDR

                        For Korea (KR) bank transfers with KRW currency:

                        - Must result in destination amount >= 5 KRW
                      example: 100.12
                  required:
                    - method
                    - sourceCurrency
                    - sourceAmount
                    - destinationCountry
                    - destinationCurrency
                    - accountId
                - title: Payout specifying destination amount
                  properties:
                    destinationAmount:
                      type: number
                      description: |
                        Amount to receive.
                        For Indonesia (ID) bank transfers with IDR currency:
                        - Must be an integer (no decimal places allowed)
                        - Must be >= 50,000 IDR
                        For Korea (KR) bank transfers with KRW currency:
                        - Must be >= 5 KRW
                      example: 100
                  required:
                    - method
                    - destinationCountry
                    - sourceCurrency
                    - destinationCurrency
                    - destinationAmount
                    - accountId
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayoutQuote'
components:
  schemas:
    IdempotencyKey:
      type: string
      description: >-
        Unique idempotency key for ensuring exactly-once execution of mutating
        requests.
      format: string
      example: xeev1she5eegh9daiviethahchoo1muW
    PayoutQuote:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Id'
          description: Quote ID, used to execute a payout
        method:
          type: string
          description: Payout method
          enum:
            - UNIONPAY
            - BANK_SWIFT
        sourceAmount:
          type: number
          description: Amount to be sent
          example: 1000.12
        sourceCurrency:
          type: string
          description: Currency of the amount to be sent
          example: USD
        destinationCountry:
          type: string
          description: Country of the destination
          example: US
        destinationCurrency:
          type: string
          description: Currency of the destination
          example: USD
        destinationAmount:
          type: number
          description: Amount to be received
          example: 1000.12
        rate:
          type: number
          description: Exchange rate value used for the conversion
          example: 1.123456
        createdAt:
          type: string
          description: Quote time
          example: '2021-01-01T00:00:00.000Z'
          format: date-time
        expiresAt:
          type: string
          description: Quote expiry time
          example: '2021-01-01T00:00:00.000Z'
          format: date-time
    Id:
      type: string
      format: uuid
      description: ID of resource
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````